import { JavaObject } from '../../java/lang/JavaObject';
export declare class Sprachpruefung extends JavaObject {
    sprache: String | null;
    jahrgang: String | null;
    anspruchsniveauId: Number | null;
    ersetzteSprache: String | null;
    istHKUPruefung: boolean;
    istFeststellungspruefung: boolean;
    kannErstePflichtfremdspracheErsetzen: boolean;
    kannZweitePflichtfremdspracheErsetzen: boolean;
    kannWahlpflichtfremdspracheErsetzen: boolean;
    kannBelegungAlsFortgefuehrteSpracheErlauben: boolean;
    referenzniveau: String | null;
    note: Number | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): Sprachpruefung;
    static transpilerToJSON(obj: Sprachpruefung): string;
    static transpilerToJSONPatch(obj: Partial<Sprachpruefung>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_Sprachpruefung(obj: unknown): Sprachpruefung;
